%define _disable_source_fetch 0

Name:           trixieua
Version:        0.3
Release:        2
Summary:        trixieua set of packages to setup fedora system

License: GPL        
BuildArch:      noarch
Source0:        https://copr.fedorainfracloud.org/coprs/trixieua/mutter-patched/repo/fedora-%{?fedora}/trixieua-mutter-patched-fedora-%{?fedora}.repo
Source1:        https://copr.fedorainfracloud.org/coprs/trixieua/mesa-clang/repo/fedora-%{?fedora}/trixieua-mesa-clang-fedora-%{?fedora}.repo
Source2:        https://copr.fedorainfracloud.org/coprs/trixieua/morewaita-icon-theme/repo/fedora-%{?fedora}/trixieua-morewaita-icon-theme-fedora-%{?fedora}.repo
Source3:        https://copr.fedorainfracloud.org/coprs/codifryed/CoolerControl/repo/fedora-%{?fedora}/codifryed-CoolerControl-fedora-%{?fedora}.repo

%description
trixieua set of packages to setup fedora system

%package packages
Summary: trixieua packages
# Gnome
Requires:      gnome-shell
Requires:      mutter
Requires:      gnome-control-center
Requires:      gnome-session-wayland-session
Requires:      gnome-software
Requires:      gdm
Requires:      nautilus
Requires:      ptyxis

# Packages
Requires:      adw-gtk3-theme
Requires:      btop
#Requires:      code
Requires:      distrobox
Requires:      fastfetch
Requires:      gnome-tweaks
Requires:      gparted
Requires:      htop
Requires:      ncdu
Requires:      rpmdevtools
Requires:      zsh
Requires:      qemu

%description packages 
trixieua packages

%package scripts
Summary: trixieua scripts

%description scripts
trixieua scripts

%package repos
Summary: trixieua repos

%description repos
trixieua repos

%install repos
mkdir -p %{buildroot}/etc/yum.repos.d/
printf "[vscode]\nname=packages.microsoft.com\nbaseurl=https://packages.microsoft.com/yumrepos/vscode/\nenabled=1\ngpgcheck=1\nrepo_gpgcheck=1\ngpgkey=https://packages.microsoft.com/keys/microsoft.asc\nmetadata_expire=1h" | tee -a %{buildroot}/etc/yum.repos.d/vscode.repo
cp %{SOURCE0} %{buildroot}/etc/yum.repos.d/
cp %{SOURCE1} %{buildroot}/etc/yum.repos.d/
cp %{SOURCE2} %{buildroot}/etc/yum.repos.d/
cp %{SOURCE3} %{buildroot}/etc/yum.repos.d/


%posttrans
%systemd_post gdm.service
%systemd_post coolercontrold.service
systemctl set-default graphical.target

%preun
%systemd_preun gdm.service
%systemd_preun coolercontrold.service
systemctl set-default multi-user.target

%files packages

%files scripts

%files repos
%{_sysconfdir}/yum.repos.d
